Subject: RE: comments on draft-chakrabarti-nordmark-6man-efficient-nd-02

From: Samita Chakrabarti <[email-masked]>
Date: Fri, 30 Aug 2013 00:21:42 +0000

Hi Jouni,

Sorry for the much delayed response due to being out-of-office for some time.

Here are my response in line. Thanks again for the useful comments.
We will address them in the next revision of the document.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Jouni Korhonen
Sent: Monday, July 29, 2013 10:36 AM
To: IPv6 IPv6 List
Subject: comments on draft-chakrabarti-nordmark-6man-efficient-nd-02

Hi,

Just to restate what I said on the microphone. Section 7.1. says:

   When the ARO is used by hosts an SLLA option MUST be included and the
   address that is to be registered MUST be the IPv6 source address of
   the Neighbor Solicitation message.

What about link that do not have link-layer addresses? This specifically caught my attention since the draft uses 3GPP as a motivational use case (see Annex A.5.). Those links do not have link layer addresses. I think this part needs to be corrected/clarified..

===> Point taken. I agree that we should add wordings about the exception cases.

Also, in Annex A.5. it says:

   Section 9.2.1.1 of TS23.060 allows periodic RA and TS 123.401 stays
   silent about periodic RA.  Though the informational drafts and

It is correct that the referenced documents are silent (they do not require or prohibit) about periodic RAs. However, 3GPP TS29.061, i.e.
stage-3 that deals with the implementation level details, defines in sub-clause 11.2.1.3.4 values for MaxRtrAdvInterval (recommendation is 21600s i.e. 6h) and MinRtrAdvInterval. Also, stage-3 even uses language such as: "After the GGSN has sent a Create PDP Context Response message to the SGSN, it shall start sending Router Advertisements periodically on the new MS-GGSN link established by the PDP Context". This needs to be corrected in the draft.

====> Do you have a suggested text ?  As I mentioned in-person conversation that this appendix section will be taken into another draft for the  use-cases of efficient-nd, so we can then elaborate on this section. 

Thanks,
-Samita

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------